## com.imcode.imcms.mapping
Class ProfileMapper

    java.lang.Object
      com.imcode.imcms.mapping.Mapper<Profile>
          com.imcode.imcms.mapping.ProfileMapper

    public class ProfileMapper

extends Mapper<Profile>

Nested Class Summary
`static class` `ProfileMapper.SimpleProfile`

Nested classes/interfaces inherited from class com.imcode.imcms.mapping.Mapper
`Mapper.MapperObject`

Constructor Summary
`ProfileMapper(com.imcode.db.Database database)`

Method Summary
`protected Profile` `convertRow(java.sql.ResultSet rs)`
`protected java.util.List<java.lang.String>` `getDataColumnNames()`
`protected java.lang.Object[][]` `getDataValues(Profile profile)`
`protected java.lang.String` `getDefaultOrderBy()`
`protected java.lang.String` `getIdColumnName()`
`protected java.lang.String` `getTableName()`

Methods inherited from class com.imcode.imcms.mapping.Mapper
`create, delete, get, getAll, getAll, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProfileMapper

    public ProfileMapper(com.imcode.db.Database database)

Method Detail

### getTableName

    protected java.lang.String getTableName()

  Specified by:
    `getTableName` in class `Mapper<Profile>`

### getIdColumnName

    protected java.lang.String getIdColumnName()

  Specified by:
    `getIdColumnName` in class `Mapper<Profile>`

### getDefaultOrderBy

    protected java.lang.String getDefaultOrderBy()

  Overrides:
    `getDefaultOrderBy` in class `Mapper<Profile>`

### getDataColumnNames

    protected java.util.List<java.lang.String> getDataColumnNames()

  Specified by:
    `getDataColumnNames` in class `Mapper<Profile>`

### convertRow

    protected Profile convertRow(java.sql.ResultSet rs)
                          throws java.sql.SQLException

  Specified by:
    `convertRow` in class `Mapper<Profile>`
  Throws:
    `java.sql.SQLException`

### getDataValues

    protected java.lang.Object[][] getDataValues(Profile profile)

  Specified by:
    `getDataValues` in class `Mapper<Profile>`